<?php
/*
Plugin Name: Enhanced Header / Footer Injections
Plugin URI: http://wordpress.org/extend/plugins/enhanced-header-footer-injections
Description: Add code to the header and footer sections of your site on a page-per-page basis.
Version: 0.2
Author: Chris Carvache
Author URI: http://chricarvahe.com
License:  GPL2

Copyright 2012 Chris Carvache (email : chriscarvache@gmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/**
 * Define all globals
 */
define('NLWS_EHFI_VERSION', 02);
define('NLWS_EHFI_URL', rtrim(plugin_dir_url(__FILE__)));
define('NLWS_EHFI_DIR', rtrim(plugin_dir_path(__FILE__)));


/**
 * Lets make sure we don't enable
 * for any unneeded post types
 */
$nlws_ehfi_unacceptable_post_types = array(
	'revision',
	'nav_menu_item'
);


/**
 * Add our actions
 */
add_action( 'admin_enqueue_scripts', 'nlws_ehfi_add_scripts' );
add_action( 'admin_init', 'nlws_ehfi_register_settings' );
add_action( 'admin_menu', 'nlws_ehfi_plugin_menu' );

add_action( 'add_meta_boxes', 'nlws_ehfi_add_meta' );
add_action( 'save_post', 'nlws_ehfi_save_post' );

add_action( 'wp_head', 'nlws_ehfi_head' );
add_action( 'wp_footer', 'nlws_ehfi_footer' );


/**
 * Install the plugin
 */
register_activation_hook( __FILE__, 'nlws_ehfi_activate' );


/**
 * Load our functions
 */
require_once('ehfi-functions.php');
require_once('ehfi-views.php');