<?php
/**
 * Global Options Page
 *
 * @since 0.1
 */
function nlws_ehfi_options(){ ?>
	<div class="wrap">
		<div id="icon-users" class="icon32"></div><h2>Enhanced Header / Footer Injections</h2>
		<p>This plugin allows users to insert code into the header and footer sections of a theme on a page per page basis.&nbsp; Pages by default have no code injected into them but, can be assigned to use either global injections or per page injections.</p>
		
		<form method="post" action="options.php">
			<?php
			settings_fields( 'nlws_ehfi_settings' );
			$options = get_option( 'nlws_ehfi_settings' );
			?>
			<h3><?php _e('Global Injection Settings')?></h3>
			<table class="form-table">
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[global_header]"><?php _e( 'Global Header Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[global_header]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[global_header]"><?php echo stripslashes( $options['global_header'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your header.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[global_footer]"><?php _e( 'Global Footer Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[global_footer]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[global_footer]"><?php echo stripslashes( $options['global_footer'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your footer.' ); ?></span>
					</td>
				</tr>
			</table>
			<h3><?php _e('Special Injections') ?></h3>
			<table class="form-table">
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[main_blog_page_header]"><?php _e( 'Main Blog Page Header Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[main_blog_page_header]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[main_blog_page_header]"><?php echo stripslashes( $options['main_blog_page_header'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into the header section of the main blog page.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[main_blog_page_footer]"><?php _e( 'Main Blog Page Footer Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[main_blog_page_footer]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[main_blog_page_footer]"><?php echo stripslashes( $options['main_blog_page_footer'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into the footer section of the main blog page.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[404_page_header]"><?php _e( '404 Page Header Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[404_page_header]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[404_page_header]"><?php echo stripslashes( $options['404_page_header'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into the header section of the 404 page.' ); ?></span>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><label class="description" for="nlws_ehfi_settings[404_page_footer]"><?php _e( '404 Page Footer Code' ); ?></label></th>
					<td>
						<textarea id="nlws_ehfi_settings[404_page_footer]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[404_page_footer]"><?php echo stripslashes( $options['404_page_footer'] ); ?></textarea>
						<span class="description"><?php _e( 'Enter a string that can be used to be inserted into the footer section of the 404 page.' ); ?></span>
					</td>

				</tr>
			</table>
			<h3><?php _e('Post Type Settings')?></h3>
			<table class="form-table">
				<tr valign="top"><th scope="row"><?php _e( 'Enable for these Post Types' ); ?></th>
					<td>
						<?php
						$post_types=get_post_types();
						foreach ($post_types as $post_type ) : ?>
							<?php if ( nlws_ehfi_acceptable_post_type($post_type) ) : ?>
								<input type="checkbox" id="nlws_ehfi_settings[enable_post_type_<?php echo $post_type; ?>]" name="nlws_ehfi_settings[enable_post_type_<?php echo $post_type; ?>]" value="1" <?php nlws_ehfi_checked($options['enable_post_type_' . $post_type], 1); ?> />
								<label class="description" for="nlws_ehfi_settings[enable_post_type_<?php echo $post_type; ?>]"><?php _e( $post_type ); ?></label><br />
							<?php endif; ?>
						<?php endforeach; ?>
					</td>
				</tr>
			</table><br />
			<?php if (nlws_ehfi_are_enabled_post_types()) : ?>
				<h3><?php _e('Per-Post Type Template Settings')?></h3>
				<p><?php _e('The following settings are used to control what code is inserted into the archives and single templates that are used for each post type.&nbsp; Please note that for obvious reasons, the page post type has been omitted.') ?></p>
				<div id="tabs">
					<ul>						
						<?php foreach ($post_types as $post_type) : ?>
							<?php if ( ($options['enable_post_type_' . $post_type] == 1) && nlws_ehfi_acceptable_post_type($post_type) ) : ?>
								<li><a href="#tab-<?php echo $post_type; ?>"><?php echo $post_type; ?></a></li>
							<?php endif; ?>
						<?php endforeach; ?>
					</ul>
					<?php foreach ($post_types as $post_type) : ?>
						<?php if ( ($options['enable_post_type_' . $post_type] == 1)  && nlws_ehfi_acceptable_post_type($post_type) ) : ?>
							<div id="tab-<?php echo $post_type; ?>">
								<h4>
								<?php
								if ($post_type == 'page')
									_e('Page Settings');
								else
									_e('Single Template Settings') ?>
								</h4>
								<table class="form-table">
									<tr valign="top"><th scope="row">Header Deployment Mode</th>
										<td>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_off]" value="off" <?php if ($options[$post_type . '_header_deployment']) nlws_ehfi_checked('off', $options[$post_type . '_header_deployment']); else echo ' checked="checked"'; ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_off]" style="padding-right: 15px;">Off</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_global]" value="global" <?php if ($options[$post_type . '_header_deployment']) nlws_ehfi_checked('global', $options[$post_type . '_header_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_global]" style="padding-right: 15px;">Use Global Injection Code</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_post_global]" value="post_global" <?php if ($options[$post_type . '_header_deployment']) nlws_ehfi_checked('post_global', $options[$post_type . '_header_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_post_global]" style="padding-right: 15px;">Use Post Global Injection Code</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_per_page]" value="perpage" <?php if ($options[$post_type . '_header_deployment']) nlws_ehfi_checked('perpage', $options[$post_type . '_header_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_header_deployment_use_per_page]" style="padding-right: 15px;">Use Per Page Code</label>
											<br /><span class="description">The above settings are used to control how new content will be created.&nbsp; When EHFI is enabled for this post type all new content created will have the above header settings enabled by default.</span>
										</td>
									</tr>
									<tr valign="top"><th scope="row"><label for="nlws_ehfi_settings[<?php echo $post_type; ?>_single_header]"><?php _e( 'Header Code' ) ?></label></th>
										<td>
											<textarea id="nlws_ehfi_settings[<?php echo $post_type; ?>_single_header]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[<?php echo $post_type; ?>_single_header]"><?php echo stripslashes( $options[$post_type . '_single_header'] ); ?></textarea>
											<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your '); echo $post_type; _e(' single header.' ); ?></span>
										</td>
									</tr>
									<tr valign="top"><th scope="row">Footer Deployment Mode</th>
										<td>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_off]" value="off" <?php if ($options[$post_type . '_footer_deployment']) nlws_ehfi_checked('off', $options[$post_type . '_footer_deployment']); else echo ' checked="checked"'; ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_off]" style="padding-right: 15px;">Off</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_global]" value="global" <?php if ($options[$post_type . '_footer_deployment']) nlws_ehfi_checked('global', $options[$post_type . '_footer_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_global]" style="padding-right: 15px;">Use Global Injection Code</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_post_global]" value="post_global" <?php if ($options[$post_type . '_footer_deployment']) nlws_ehfi_checked('post_global', $options[$post_type . '_footer_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_post_global]" style="padding-right: 15px;">Use Post Global Injection Code</label>
											<input type="radio" name="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment]" id="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_per_page]" value="perpage" <?php if ($options[$post_type . '_footer_deployment']) nlws_ehfi_checked('perpage', $options[$post_type . '_footer_deployment']) ?> class="nlws_ehfi_settings_deployment" /> <label for="nlws_ehfi_settings[<?php echo $post_type; ?>_footer_deployment_use_per_page]" style="padding-right: 15px;">Use Per Page Code</label>
											<br /><span class="description">The above settings are used to control how new content will be created.&nbsp; When EHFI is enabled for this post type all new content created will have the above footer settings enabled by default.</span>
										</td>
									</tr>
									<tr valign="top"><th scope="row"><label for="nlws_ehfi_settings[<?php echo $post_type; ?>_single_footer]"><?php _e( 'Footer Code' ) ?></label></th>
										<td>
											<textarea id="nlws_ehfi_settings[<?php echo $post_type; ?>_single_footer]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[<?php echo $post_type; ?>_single_footer]"><?php echo stripslashes( $options[$post_type . '_single_footer'] ); ?></textarea>
											<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your '); echo $post_type; _e(' single footer.' ); ?></span>
										</td>
									</tr>
									<!--<tr valign="top"><th scope="row"><?php _e( 'Apply to all' ) ?></th>
										<td>
											<input type="submit" class="button-secondary" value="Go!" />
											<span class="description"><?php _e( 'Use this function to apply the current global settings to all posts that are of this particular post type.&nbsp; This is useful for quickly turning off all settings or enabling global injections on all pages' ); ?></span>
										</td>
									</tr>-->
								</table>
								<?php if ( $post_type != 'page' ) : ?>
									<h4>Archive Template Settings</h4>
									<p>The following code will be injected into archive templates of the <code><?php echo $post_type ?></code> post type.</p>
									<table class="form-table">
										<tr valign="top"><th scope="row"><label for="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_header]"><?php _e( 'Header Code' ) ?></label></th>
											<td>
												<textarea id="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_header]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_header]"><?php echo stripslashes( $options[$post_type . '_archives_header'] ); ?></textarea>
												<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your '); echo $post_type; _e(' archives header.' ); ?></span>
											</td>
										</tr>
										<tr valign="top"><th scope="row"><label for="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_footer]"><?php _e( 'Footer Code' ) ?></label></th>
											<td>
												<textarea id="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_footer]" class="large-text" cols="50" rows="3" name="nlws_ehfi_settings[<?php echo $post_type; ?>_archives_footer]"><?php echo stripslashes( $options[$post_type . '_archives_footer'] ); ?></textarea>
												<span class="description"><?php _e( 'Enter a string that can be used to be inserted into your '); echo $post_type; _e(' archives footer.' ); ?></span>
											</td>
										</tr>
										
									</table>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
			<p class="submit">
		    	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		    </p>
		</form>
	</div><!-- .wrap -->
<?php }


/**
 * Output the meta box
 *
 * @since 0.1
 */
function nlws_ehfi_output_meta( $post ) {
	/**
	 * Use nonce for verification
	 */
	wp_nonce_field( plugin_basename( __FILE__ ), 'nlws_ehfi_noncename' );
	
	/**
	 * Get the data and build the meta box
	 */
	$meta = get_post_meta($post->ID,'_nlws_efhi',TRUE);
	$options = get_option( 'nlws_ehfi_settings' );
	
	$post_type = $post->post_type;
	?>
	<h4>Header Mode</h4>
	<p>
		<input type="radio" name="nlws_ehfi_meta[header_mode]" id="nlws_ehfi_header_mode_off" value="off"
			<?php
			if ($meta['header_mode'])
				nlws_ehfi_checked('off', $meta['header_mode']);
			else {
				if ($options[$post_type . '_header_deployment'])
					nlws_ehfi_checked('off', $options[$post_type . '_header_deployment']);
				else
					echo ' checked="checked"';
			} ?> class="nlws_ehfi_headermode" /> <label for="nlws_ehfi_header_mode_off" style="padding-right: 15px;">Off</label>
		<input type="radio" name="nlws_ehfi_meta[header_mode]" id="nlws_ehfi_header_mode_global" value="global"
			<?php
			if ($meta['header_mode'])
				nlws_ehfi_checked('global', $meta['header_mode']);
			else {
				if ($options[$post_type . '_header_deployment'])
					nlws_ehfi_checked('global', $options[$post_type . '_header_deployment']);
			}
			?> class="nlws_ehfi_headermode" /> <label for="nlws_ehfi_header_mode_global" style="padding-right: 15px;">Use Global Header</label>
		<input type="radio" name="nlws_ehfi_meta[header_mode]" id="nlws_ehfi_header_mode_post_global" value="post_global"
			<?php
			if ($meta['header_mode'])
				nlws_ehfi_checked('post_global', $meta['header_mode']);
			else {
				if ($options[$post_type . '_header_deployment'])
					nlws_ehfi_checked('post_global', $options[$post_type . '_header_deployment']);
			}
			?> class="nlws_ehfi_headermode" /> <label for="nlws_ehfi_header_mode_post_global" style="padding-right: 15px;">Use Post Global Header</label>
		<input type="radio" name="nlws_ehfi_meta[header_mode]" id="nlws_ehfi_header_mode_perpage" value="perpage"
			<?php
			if ($meta['header_mode'])
				nlws_ehfi_checked('perpage', $meta['header_mode']);
			else {
				if ($options[$post_type . '_header_deployment'])
					nlws_ehfi_checked('perpage', $options[$post_type . '_header_deployment']);
			}
				
			?> class="nlws_ehfi_headermode" /> <label for="nlws_ehfi_header_mode_perpage">Use Per Page Header</label>
	</p>
	<pre class="nlws_ehfi_globalheader"
		<?php
		/**
		 * Okay we need to display this on these conditions
		 * 1. if there is no meta information found.
		 * 2. If meta information is NOT global
		 * 3. If meta information is NOT found and the global post settings is something other than
		 */
		if((($meta['header_mode']) && ($meta['header_mode'] != 'global')) || (!($meta['header_mode']) && $options[$post_type . '_header_deployment'] != 'global' ))
			echo ' style="display: none"';
		?>
		>
		<?php echo htmlspecialchars($options['global_header']); ?>
	</pre>
	<pre class="nlws_ehfi_post_globalheader"
		<?php
		// Do something similar
		if((($meta['header_mode']) && ($meta['header_mode'] != 'post_global')) || (!($meta['header_mode']) && $options[$post_type . '_header_deployment'] != 'post_global' ))
			echo ' style="display: none"';
		?>
		>
		<?php echo htmlspecialchars($options[$post_type . '_single_header']); ?>
	</pre>
	<p class="nlws_ehfi_customheader"
		<?php
		// And again
		if((($meta['header_mode']) && ($meta['header_mode'] != 'perpage')) || (!($meta['header_mode']) && $options[$post_type . '_header_deployment'] != 'perpage' ))
			echo ' style="display: none"';
		?>
		>
		<textarea name="nlws_ehfi_meta[header_text]" id="nlws_ehfi_meta[header_text]" rows="8" style="width: 100%"><?php echo $meta['header_text']; ?></textarea>
	</p>
	
	<h4>Footer Mode</h4>
	<p>
		<input type="radio" name="nlws_ehfi_meta[footer_mode]" id="nlws_ehfi_footer_mode_off" value="off"
			<?php
			if ($meta['footer_mode'])
				nlws_ehfi_checked('off', $meta['footer_mode']);
			else {
				if ($options[$post_type . '_footer_deployment'])
					nlws_ehfi_checked('off', $options[$post_type . '_footer_deployment']);
				else
					echo ' checked="checked"';
			} ?> class="nlws_ehfi_footermode" /> <label for="nlws_ehfi_footer_mode_off" style="padding-right: 15px;">Off</label>
		<input type="radio" name="nlws_ehfi_meta[footer_mode]" id="nlws_ehfi_footer_mode_global" value="global"
			<?php
			if ($meta['footer_mode'])
				nlws_ehfi_checked('global', $meta['footer_mode']);
			else {
				if ($options[$post_type . '_footer_deployment'])
					nlws_ehfi_checked('global', $options[$post_type . '_footer_deployment']);
			}
			?> class="nlws_ehfi_footermode" /> <label for="nlws_ehfi_footer_mode_global" style="padding-right: 15px;">Use Global footer</label>
		<input type="radio" name="nlws_ehfi_meta[footer_mode]" id="nlws_ehfi_footer_mode_post_global" value="post_global"
			<?php
			if ($meta['footer_mode'])
				nlws_ehfi_checked('post_global', $meta['footer_mode']);
			else {
				if ($options[$post_type . '_footer_deployment'])
					nlws_ehfi_checked('post_global', $options[$post_type . '_footer_deployment']);
			}
			?> class="nlws_ehfi_footermode" /> <label for="nlws_ehfi_footer_mode_post_global" style="padding-right: 15px;">Use Post Global footer</label>
		<input type="radio" name="nlws_ehfi_meta[footer_mode]" id="nlws_ehfi_footer_mode_perpage" value="perpage"
			<?php
			if ($meta['footer_mode'])
				nlws_ehfi_checked('perpage', $meta['footer_mode']);
			else {
				if ($options[$post_type . '_footer_deployment'])
					nlws_ehfi_checked('perpage', $options[$post_type . '_footer_deployment']);
			}
				
			?> class="nlws_ehfi_footermode" /> <label for="nlws_ehfi_footer_mode_perpage">Use Per Page footer</label>
	</p>
	<pre class="nlws_ehfi_globalfooter"
		<?php
		/**
		 * Okay we need to display this on these conditions
		 * 1. if there is no meta information found.
		 * 2. If meta information is NOT global
		 * 3. If meta information is NOT found and the global post settings is something other than
		 */
		if((($meta['footer_mode']) && ($meta['footer_mode'] != 'global')) || (!($meta['footer_mode']) && $options[$post_type . '_footer_deployment'] != 'global' ))
			echo ' style="display: none"';
		?>
		>
		<?php echo htmlspecialchars($options['global_footer']); ?>
	</pre>
	<pre class="nlws_ehfi_post_globalfooter"
		<?php
		// Do something similar
		if((($meta['footer_mode']) && ($meta['footer_mode'] != 'post_global')) || (!($meta['footer_mode']) && $options[$post_type . '_footer_deployment'] != 'post_global' ))
			echo ' style="display: none"';
		?>
		>
		<?php echo htmlspecialchars($options[$post_type . '_single_footer']); ?>
	</pre>
	<p class="nlws_ehfi_customfooter"
		<?php
		// And again
		if((($meta['footer_mode']) && ($meta['footer_mode'] != 'perpage')) || (!($meta['footer_mode']) && $options[$post_type . '_footer_deployment'] != 'perpage' ))
			echo ' style="display: none"';
		?>
		>
		<textarea name="nlws_ehfi_meta[footer_text]" id="nlws_ehfi_meta[footer_text]" rows="8" style="width: 100%"><?php echo $meta['footer_text']; ?></textarea>
	</p>
	<script type="text/javascript">
		jQuery(function($){
			$('.nlws_ehfi_headermode:radio').click(function(){
				mode = $(this).val();
				
				switch (mode) {
					case 'off':
						$('.nlws_ehfi_globalheader').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalheader').slideUp('fast', function(){
								$('.nlws_ehfi_customheader').slideUp();
							});
						});
						break;
					case 'global':						
						$('.nlws_ehfi_customheader').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalheader').slideUp('fast', function(){
								$('.nlws_ehfi_globalheader').slideDown('fast');
							});
						});
						break;
					case 'post_global':
						$('.nlws_ehfi_customheader').slideUp('fast', function(){
							$('.nlws_ehfi_globalheader').slideUp('fast', function(){
								$('.nlws_ehfi_post_globalheader').slideDown('fast');
							});
						});
						break;
					case 'perpage':
						$('.nlws_ehfi_globalheader').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalheader').slideUp('fast',function(){
								$('.nlws_ehfi_customheader').slideDown();
							});
						});
						break;
				}
			});
			
			$('.nlws_ehfi_footermode:radio').click(function(){
				mode = $(this).val();
				
				switch (mode) {
					case 'off':
						$('.nlws_ehfi_globalfooter').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalfooter').slideUp('fast', function(){
								$('.nlws_ehfi_customfooter').slideUp();
							});
						});
						break;
					case 'global':						
						$('.nlws_ehfi_customfooter').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalfooter').slideUp('fast', function(){
								$('.nlws_ehfi_globalfooter').slideDown('fast');
							});
						});
						break;
					case 'post_global':
						$('.nlws_ehfi_customfooter').slideUp('fast', function(){
							$('.nlws_ehfi_globalfooter').slideUp('fast', function(){
								$('.nlws_ehfi_post_globalfooter').slideDown('fast');
							});
						});
						break;
					case 'perpage':
						$('.nlws_ehfi_globalfooter').slideUp('fast', function(){
							$('.nlws_ehfi_post_globalfooter').slideUp('fast',function(){
								$('.nlws_ehfi_customfooter').slideDown();
							});
						});
						break;
				}
			});
		});
	</script>
	
<?php }